xine-lib: cdda_input_class_t Struct Reference

xine-lib 1.2.12

Data Fields
cdda_input_class_t Struct Reference

## Data Fields
input_class_t | input_class
xine_t * | xine
config_values_t * | config
pthread_mutex_t | mutex
time_t | last_read_time
cdrom_toc_t * | last_toc
const char * | cdda_device
int | speed
const char * | cddb_server
int | cddb_port
int | cddb_error
int | cddb_enable
char ** | autoplaylist

## Field Documentation

## ◆ autoplaylist

char** cdda_input_class_t::autoplaylist

Referenced by cdda_class_get_autoplay_list(), free_autoplay_list(), and init_plugin().

## ◆ cdda_device

const char* cdda_input_class_t::cdda_device

Referenced by cdda_class_eject_media(), cdda_class_get_autoplay_list(), cdda_open(), cdda_plugin_open(), and init_plugin().

## ◆ cddb_enable

int cdda_input_class_t::cddb_enable

Referenced by init_plugin().

## ◆ cddb_error

int cdda_input_class_t::cddb_error

Referenced by init_plugin().

## ◆ cddb_port

int cdda_input_class_t::cddb_port

Referenced by init_plugin().

## ◆ cddb_server

const char* cdda_input_class_t::cddb_server

Referenced by init_plugin().

## ◆ config

config_values_t* cdda_input_class_t::config

Referenced by cdda_class_dispose(), and init_plugin().

## ◆ input_class

input_class_t cdda_input_class_t::input_class

Referenced by _cdda_cddb_retrieve(), _cdda_cddb_socket_open(), cdda_plugin_dispose(), and init_plugin().

## ◆ last_read_time

time_t cdda_input_class_t::last_read_time

Referenced by cdda_class_get_instance(), cdda_plugin_open(), cdda_plugin_read(), cdda_plugin_seek(), and init_plugin().

## ◆ last_toc

cdrom_toc_t* cdda_input_class_t::last_toc

Referenced by cdda_class_dispose(), cdda_class_get_autoplay_list(), and init_plugin().

## ◆ mutex

pthread_mutex_t cdda_input_class_t::mutex

Referenced by cdda_class_dispose(), cdda_class_eject_media(), cdda_class_get_autoplay_list(), and init_plugin().

## ◆ speed

int cdda_input_class_t::speed

Referenced by cdda_close(), cdda_open(), and init_plugin().

## ◆ xine

xine_t* cdda_input_class_t::xine

Referenced by cdda_class_dispose(), cdda_class_eject_media(), cdda_class_get_autoplay_list(), and init_plugin().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/input/input_cdda.c